%global gitname	sio_fpga_driver
%{!?kernel_version:%{expand:%%global kernel_version 4.18.0-553.5.1.el8_10.x86_64}}

Name:           ulm-%{gitname}
Version:        2.20_13B
Release:        1%{?dist}
Summary:        Sony ULM SIO FPGA Driver

License:        GPLv2
URL:            git@ulm-git.vsp.cpg.sony.co.jp:ulm/system/drivers/%{gitname}
Source1:	%{name}.files

BuildRequires:  %kernel_module_package_buildreqs findutils
BuildRequires:  kernel-devel
Requires:       kmod-%{name} = %{version}-%{release}

%description
SIO FPGA Driver for Sony Universal Live Module.


%global debug_package %{nil}
%global tag     %{?tag:%{tag}}%{!?tag:V%(echo %{version} | %{__sed} 's/\\.//g')}

%kernel_module_package -n %{name} -f %{SOURCE1}

%prep
%setup -T -c
/usr/bin/git clone --branch %{tag} --recurse-submodules %{url}.git .


%build
%make_build KERNELDIR=/lib/modules/%{kernel_version}/build

%install
%make_install KERNELDIR=/lib/modules/%{kernel_version}/build
# Cleanup unnecessary kernel-generated module dependency files.
find %{buildroot}/lib/modules -iname 'modules.*' | xargs rm

%changelog
* Wed Jun 26 2024 Takeo Ugai <Takeo.Ugai@sony.com> - 2.20_13B-1
- build for Rocky Linux 8.10 (4.18.0-553.5.1.el8_10.x86_64).

* Mon Jun 17 2024 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.20_12
- Release Version: 2.20_12

* Mon Dec 25 2023 Takeo Ugai <Takeo.Ugai@sony.com> - 2.20_1-1
- build for Rocky Linux 8.9 (4.18.0-513.9.1.el8_9.x86_64).
- Release Version: 2.20_1.

* Thu Sep  7 2023 Takeo Ugai <Takeo.Ugai@sony.com> - 2.10_13-1
- for kernel-4.18.0-477.21.1.el8_8.x86_64.

* Tue Jul 11 2023 Takeo Ugai <Takeo.Ugai@sony.com> - 2.10_7A-1
- for kernel-4.18.0-477.15.1.el8_8.x86_64.

* Mon Feb 27 2023 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_29
- Release Version: 2.00_29

* Mon Dec 26 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_22
- Release Version: 2.00_22

* Fri Jun 24 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 2.00_3
- rebuild Rocky8.6: 2.00_3

* Tue Apr 12 2022 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.20_9
- Add COPYING.

* Fri Nov 19 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.10_6
- rebuild CentOS8.4: 1.10_6

* Thu Oct 28 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.10_3
- rebuild CentOS8.4: 1.10_3

* Tue Sep 21 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.01_4
- Release Version: 1.01_4

* Wed Sep 08 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.01_3
- Release Version: 1.01_3

* Tue Aug 03 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_35
- Release Version: 1.00_35

* Sun Jun 27 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_29
- Release Version: 1.00_29

* Mon May 31 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_25
- Release Version: 1.00_25

* Wed May 26 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_24A
- Release Version: 1.00_24A

* Sun May 09 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_22
- Release Version: 1.00_22

* Sun Apr 11 2021 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_20
- Release Version: 1.00_20

* Mon Nov 16 2020 ULM Project <ulm-soft@vsp.cpg.sony.co.jp> - 1.00_11
- Release Version: 1.00_11

* Tue Sep 15 2020 ULM Project<ulm-soft@vsp.cpg.sony.co.jp> - 1.00_7
- rebuild

* Mon Aug 17 2020 ULM Project<ulm-soft@vsp.cpg.sony.co.jp> - 1.00_5
- Initial build
